Bug 99191 - "AP Out of Range" error with Orinoco wireless kernel module
"AP Out of Range" error with Orinoco wireless kernel module
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-15 13:59 EDT by Steve Daggett
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Daggett 2003-07-15 13:59:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
 An error was introduced with the Orinoco Wireless module in the latest
2.4.20-18.9 kernel from RHN.  

  Since installing the new kernel I've been losing my wireless TCP/IP connection
soon after booting my laptop.  The connection works for a while and then fails
with the following error in /var/log/messages.  

Jul 15 07:42:38 localhost kernel: eth0: New link status: AP Out of Range (0004)

  The condition does not clear itself, or by removing the card and forcing the
modules to unload.  I need to reboot the machine to clear the problem.

  My wireless connection has been working fine since I installed RH 9.  This
system is fully patched from RHN.  The problem did not start until the latest
kernel was installed.  I can clear the problem by backing out to the previous
(2.4.20-13.9) kernel.  

Here is my "lsmod":

[root@localhost root]# lsmod
Module                  Size  Used by    Not tainted
ide-cd                 35712   0  (autoclean)
cdrom                  33728   0  (autoclean) [ide-cd]
orinoco_cs              5556   1
orinoco                39724   0  [orinoco_cs]
autofs                 13268   0  (autoclean) (unused)
hermes                  8068   0  [orinoco_cs orinoco]
ds                      8680   2  [orinoco_cs]
yenta_socket           13632   2
pcmcia_core            57216   0  [orinoco_cs ds yenta_socket]
microcode               4668   0  (autoclean)
ad1848                 28588   1
sound                  74228   1  [ad1848]
soundcore               6404   4  [sound]
keybdev                 2976   0  (unused)
mousedev                5556   3
hid                    22244   0  (unused)
input                   5856   0  [keybdev mousedev hid]
usb-uhci               26412   0  (unused)
usbcore                79040   1  [hid usb-uhci]
ext3                   70784   2
jbd                    51892   2  [ext3]

  Please contact me if you need additional information.  

Steve D....


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.install the 2.4.20-18.9 kernal on a laptop with an Orinoco PCMCIA card
2.
3.
    

Actual Results:  The TCP/IP connection goes dead, with the error "kernel: eth0:
New link status: AP Out of Range (0004)" in /var/log/messages.  

Expected Results:  The wireless connection should not fail.

Additional info:

I see some activity on the kernal lists and wireless list when I google about
this error.  You guys may have installed a bad patch.
Comment 1 Jhon H. Caicedo 2003-09-17 10:06:32 EDT
Hi, 

I have experienced the same problem, but in my case the network connection
is restored after a few seconds. The system logs messages like:

eth3: New link status: AP Out of Range (0004)
eth3: New link status: AP In Range (0005)

I am using kernel-2.4.20-20.9, Orinoco Gold Card and Linksys WAP11 AP.
Comment 2 Bugzilla owner 2004-09-30 11:41:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.